image: continuumio/miniconda3:latest

stages:
  - Style Analysis

black:
  stage: Style Analysis
  allow_failure: true
  script:
    - pip install black
    - black plot_toolbox/*.py

  rules:
    - if: $CI_COMMIT_MESSAGE =~ /ci-run/
      when: always
    - if: '$CI_PIPELINE_SOURCE == "web"'
      when: always
    - when: never
  tags:
    - docker
